<?PHP
//gegevens ontvangen
$from = $_POST["email"];
$subject = $_POST["onderwerp"];
$message = $_POST["bericht"];
$name = $_POST["naam"];


//controleer of er iets is ingevuld
//$ok => niet actief
//als veld is ingevuld komt $ok op "true" te staan

$ok = true;

if(strlen($name) < 2){
    echo "U heeft geen naam ingevoerd.<br/>";
    $ok = false;
}

if(strlen($subject) < 2){
    echo "U heeft geen onderwerp ingevoerd.<br/>";
    $ok = false;
}

if(strlen($from) < 4){
    echo "U heeft geen e-mailadres ingevoerd.<br/>";
    $ok = false;
}

//kijken of het verzonden e-mailadres een geldig e-mailadres is
function valid_email($str) {
    return (!preg_match("/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix", $str)) ? FALSE : TRUE;
}

if (!filter_var($from, FILTER_VALIDATE_EMAIL)) {
    echo("$from is geen geldig e-mailadres.");
    $ok = false;
}

if(strlen($message) < 3){
    echo "U heeft geen bericht ingevoerd.<br/>";
    $ok = false;
}

//HTML-mail voorbereiden


$brief = '
    <html>
        <head>
            <title>Bericht van mijn site</title>
            <link rel="stylesheet" href="https://www.schoolvoorbeeld.be/css/cssbib.css">
        </head>
        <body>
           <div class="container">
                <article>'
                    . $message .
                '</article>
                <sub>Vanwege ' . $name . '</sub>
           </div>
            
            <style>
                body, html, *{
                    font-family:arial, sans-serif;
                }
            </style>
        </body>
    </html>
';



//headers aanmaken
$headers = "MIME-Version: 1.0" . "\r\n";
$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
$headers .= 'From: <' . $from . '>' . "\r\n";

//vul hieronder het e-mailadres in waar het bericht naar verzonden dient te worden
$to = "merckx.kris@gmail.com";

//gegevens verzenden: enkel als de verzender effectief iets heeft 
//ingevuld


if($ok == true){
    $verzonden = mail($to,$subject,$brief,$headers);
    
    if($verzonden){
        echo "We hebben uw bericht goed ontvangen";
    }
}

?>